@import "./mixins/main";
@import "./variables/main";

.container {
  position: relative;
  width: 100%;
  max-width: 1370px;
  padding: 0 20px;
  box-sizing: border-box;
  min-width: 280px;
}

.column,
.columns {
  width: 100%;
  float: left;
  box-sizing: border-box;
  min-height: 1px;
}

/* For devices larger than 400px */
@media (min-width: 500px) {
  .container {
    width: 85%;
    padding: 0;
  }
}

/* For devices larger than 550px */
@media (min-width: 1100px) {
  .container {
    width: 95%;
  }

  .column,
  .columns {
    margin-left: 4%;
  }

  .column:first-child,
  .columns:first-child {
    margin-left: 0;
  }

  .one.column,
  .one.columns {
    width: 4.66666666667%;
  }

  .one-third {
    width: 9.88888888888%;
  }

  .two.columns {
    width: 13.3333333333%;
  }

  .two-third.columns {
    width: 16.7777777777%;
  }

  .three.columns {
    width: 22%;
  }

  .four.columns {
    width: 30.6666666667%;
  }

  .five.columns {
    width: 39.3333333333%;
  }

  .six.columns {
    width: 48%;
  }

  .seven.columns {
    width: 56.6666666667%;
  }

  .eight.columns {
    width: 65.3333333333%;
  }

  .nine.columns {
    width: 74.0%;
  }

  .ten.columns {
    width: 82.6666666667%;
  }

  .eleven.columns {
    width: 91.3333333333%;
  }

  .twelve.columns {
    width: 100%;
    margin-left: 0;
  }

  .one-third.column {
    width: 30.6666666667%;
  }

  .two-thirds.column {
    width: 65.3333333333%;
  }

  .one-half.column {
    width: 48%;
  }

  /* Offsets */
  .offset-by-one.column,
  .offset-by-one.columns {
    margin-left: 8.66666666667%;
  }

  .offset-by-two.column,
  .offset-by-two.columns {
    margin-left: 17.3333333333%;
  }

  .offset-by-three.column,
  .offset-by-three.columns {
    margin-left: 26%;
  }

  .offset-by-four.column,
  .offset-by-four.columns {
    margin-left: 34.6666666667%;
  }

  .offset-by-five.column,
  .offset-by-five.columns {
    margin-left: 43.3333333333%;
  }

  .offset-by-six.column,
  .offset-by-six.columns {
    margin-left: 52%;
  }

  .offset-by-seven.column,
  .offset-by-seven.columns {
    margin-left: 60.6666666667%;
  }

  .offset-by-eight.column,
  .offset-by-eight.columns {
    margin-left: 69.3333333333%;
  }

  .offset-by-nine.column,
  .offset-by-nine.columns {
    margin-left: 78.0%;
  }

  .offset-by-ten.column,
  .offset-by-ten.columns {
    margin-left: 86.6666666667%;
  }

  .offset-by-eleven.column,
  .offset-by-eleven.columns {
    margin-left: 95.3333333333%;
  }

  .offset-by-one-third.column,
  .offset-by-one-third.columns {
    margin-left: 34.6666666667%;
  }

  .offset-by-two-thirds.column,
  .offset-by-two-thirds.columns {
    margin-left: 69.3333333333%;
  }

  .offset-by-one-half.column,
  .offset-by-one-half.columns {
    margin-left: 52%;
  }

}

/* Base Styles
–––––––––––––––––––––––––––––––––––––––––––––––––– */
/* NOTE
html is set to 62.5% so that all the REM measurements throughout Skeleton
are based on 10px sizing. So basically 1.5rem = 15px :) */
html {
  font-size: 62.5%;
}

body {
  font-size: 1.5em; /* currently ems cause chrome bug misinterpreting rems on body element */
  line-height: 1.6;
  font-weight: 300;
  color: #222;
}

/* Typography
–––––––––––––––––––––––––––––––––––––––––––––––––– */
@font-face {
  font-family: 'museo';
  src: url('../font/museo_300.eot');
  src: url('../font/museo_300.eot?#iefix') format('embedded-opentype'),
  url('../font/museo_300.woff2') format('woff2'),
  url('../font/museo_300.woff') format('woff'),
  url('../font/museo_300.ttf') format('truetype');
  font-weight: 300;
  font-style: normal;

}

@font-face {
  font-family: 'museo';
  src: url('../font/museo_500.eot');
  src: url('../font/museo_500.eot?#iefix') format('embedded-opentype'),
  url('../font/museo_500.woff2') format('woff2'),
  url('../font/museo_500.woff') format('woff'),
  url('../font/museo_500.ttf') format('truetype');
  font-weight: 500;
  font-style: normal;

}

h1 .main-header, h2 .main-header, h3 .main-header, h4 .main-header, h5 .main-header, h6 .main-header, .main-header {
  margin-top: 0;
  padding-bottom: 55px;
  margin-bottom: 55px;
  font-weight: 500;
  font-size: 25px;
  line-height: 1.2;
  letter-spacing: -.1rem;
  color: #323c47;
  border-bottom: 1px solid #e9eff4;
}

@media #{$mobile} {
  h1 .main-header, h2 .main-header, h3 .main-header, h4 .main-header, h5 .main-header, h6 .main-header, .main-header {
    padding: 0 0 24px;
    margin: 0 0 24px;
    @include font(25px, 500, 1.2, -.1rem);
    color: #323c47;
    border-bottom: 1px solid #e9eff4;
  }
}

p {
  margin-top: 0;
}

/* Links
–––––––––––––––––––––––––––––––––––––––––––––––––– */
a {
  color: $blueColor;
  text-decoration: none;
}

a:hover {
  color: #0FA0CE;
}

a.a-arrow {
  text-decoration: none;
}

a.a-arrow span {
  text-decoration: underline;
}

/* Buttons
–––––––––––––––––––––––––––––––––––––––––––––––––– */
button {
  position: relative;
  display: inline-block;
  height: 50px;
  padding: 0 35px;
  color: #fff;
  text-align: center;
  font-size: 14px;
  font-weight: 600;
  line-height: 50px;
  letter-spacing: .1rem;
  text-transform: uppercase;
  text-decoration: none;
  white-space: nowrap;
  background-color: #f74455;
  border-radius: 5px;
  border: none;
  cursor: pointer;
  box-sizing: border-box;
  transition: 0.01s ease-out;
}

button.white {
  color: #b4cadd;
  font-weight: 500;
  background: #fff;
  border: 1px solid #d2e0ec;
}

button.blue {
  background: #4a90e2;
}

button.block {
  width: 100%;
}

button:hover {
  background-color: #e63f4f;
  outline: 0;
}

button.white:hover {
  background: #f8f8f8;
}

button.blue:hover {
  background: #4085d5
}

button:focus {
  outline: 0;
}

button:active {
  background: #f74455;
}

button.white:active {
  background: #fff;
}

button.blue:active {
  background: #4a90e2;
}

button:disabled, button.disabled {
  background-color: #e0e0e0;
  color: #9d9d9d;
}

button.status, button.status-white {
  text-transform: none;
  line-height: 140%;
  padding: 15px 30px;
  background: none;
  color: #323c47;
  font-size: 16px;
  font-weight: 400;
}

button.status-white {
  background: #fff;
  border: #e9eff4 solid 1px;
}

button.status img, button.status-white img {
  float: left;
  display: inline-block;
  margin-right: 20px;
}

.input-with-button button {
  text-transform: none;
  font-size: 15px;
  height: 40px;
  line-height: 40px;
}

button.negative-margin {
  position: relative;
  top: -15px;
  margin-bottom: 25px;
}

.button_loading {
  background-color: grey;
}

.button_loading::before {
  position: absolute;
  left: 0;
  content: '';
  height: 100%;
  width: 100%;
  background: url(https://loading.io/spinners/coolors/lg.palette-rotating-ring-loader.gif) no-repeat center center;
  background-size: contain;
}

.button_loading:disabled {
  color: #e0e0e0;
}

/* Forms
–––––––––––––––––––––––––––––––––––––––––––––––––– */
input[type="email"],
input[type="number"],
input[type="search"],
input[type="text"],
input[type="tel"],
input[type="url"],
input[type="password"],
textarea,
select {
  width: 100%;
  height: 40px;
  padding: 6px 25px; /* The 6px vertically centers text on FF, ignored by Webkit */
  background-color: #f8f8f8;
  border: 1px solid #e9eff4;
  border-radius: 5px;
  box-shadow: none;
  box-sizing: border-box;
  color: #323c47;
  font-weight: 500;
}

/* Removes awkward default styles on some inputs for iOS */
input[type="email"],
input[type="number"],
input[type="search"],
input[type="text"],
input[type="tel"],
input[type="url"],
input[type="password"],
textarea {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}

textarea {
  min-height: 120px;
  padding-top: 20px;
  padding-bottom: 20px;
  resize: none;
}

input[type="email"]:focus,
input[type="number"]:focus,
input[type="search"]:focus,
input[type="text"]:focus,
input[type="tel"]:focus,
input[type="url"]:focus,
input[type="password"]:focus,
textarea:focus,
select:focus {
  border: 1px solid #ffdd35;
  background: #fff;
  outline: 0;
}

label,
legend {
  display: block;
  margin-bottom: 20px;
  color: #898989;
  font-size: 15px;
  font-weight: 400;
}

fieldset {
  padding: 0;
  border-width: 0;
}

input[type="checkbox"],
input[type="radio"] {
  display: inline;
}

label > .label-body {
  display: inline-block;
  margin-left: .5rem;
  font-weight: normal;
}

input[type="checkbox"], input[type="radio"] {
  display: inline;
}

label > .label-body {
  display: inline-block;
  margin-left: .5rem;
  font-weight: normal;
}

input[type="radio"], input[type="checkbox"] {
  left: -5000px;
  position: absolute;
  cursor: pointer;
}

.checkbox label {
  cursor: pointer;
  padding-left: 40px;
  text-transform: none;
  display: inline-block;
  margin: 0 25px 25px 0;
  font-size: 14px;
  color: #333333;
  font-weight: 300;
}

.checkbox label:last-child {
  margin-right: 0;
}

.checkbox .label {
  display: block;
  margin-bottom: 20px;
  color: #333333;
  font-size: 15px;
  font-weight: 400;
}

input[type="radio"] + label span, input[type="checkbox"] + label span {
  background: #f8f8f8;
  background-image: none;
  display: inline-block;
  vertical-align: middle;
  height: 21px;
  padding: 0 0 0 21px;
  margin-left: -40px;
  border: 1px solid #e9eff4;
  border-radius: 7px;
  position: absolute;
}

input[type="radio"]:checked + label span, input[type="checkbox"]:checked + label span {
  background: url(../img/checkbox.png) no-repeat 50% 50% $checkBoxGreen;
  border-color: $checkBoxGreen;
}

input[type="checkbox"]:checked + label {
  color: #000;
}

input.error, textarea.error, .error input, .error textarea {
  background: #fff0ed;
  color: #ff6d4a;
  border-color: #ffd6ce !important;
}

.error input[type="radio"] + label span, .error input[type="checkbox"] + label span {
  background: #ffd6ce;
  border: 1px solid #ffd6ce;
}

.error input[type="radio"] + label, .error input[type="checkbox"] + label {
  color: #ff7857;
}

.error input[type="radio"]:checked + label span, .error input[type="checkbox"]:checked + label span {
  background: url(../img/checkbox2.png) no-repeat 50% 50% #ffd6ce;
  border-color: #ffd6ce;
}

.error input[type="checkbox"]:checked + label, .error input[type="radio"]:checked + label {
  color: #ff7857;
}

/* Lists
–––––––––––––––––––––––––––––––––––––––––––––––––– */
ul {
  /*list-style: circle inside;*/
}

ol {
  /*list-style: decimal inside;*/
}

ol, ul {
  padding-left: 0;
  margin-top: 0;
}

ul ul,
ul ol,
ol ol,
ol ul {
  margin: 1.5rem 0 1.5rem 3rem;
  font-size: 90%;
}

li {
  margin-bottom: 1rem;
}

/* Code
–––––––––––––––––––––––––––––––––––––––––––––––––– */
code {
  padding: .2rem .5rem;
  margin: 0 .2rem;
  font-size: 90%;
  white-space: nowrap;
  background: #F1F1F1;
  border: 1px solid #E1E1E1;
  border-radius: 4px;
}

pre > code {
  display: block;
  padding: 1rem 1.5rem;
  white-space: pre;
}

/* Tables
–––––––––––––––––––––––––––––––––––––––––––––––––– */
th,
td {
  padding: 12px 15px;
  text-align: left;
  border-bottom: 1px solid #E1E1E1;
}

th:first-child,
td:first-child {
  padding-left: 0;
}

th:last-child,
td:last-child {
  padding-right: 0;
}

/* Spacing
–––––––––––––––––––––––––––––––––––––––––––––––––– */
button,
.button {
  margin-bottom: 40px;
}

input,
textarea,
select,
fieldset {
  margin-bottom: 40px;
}

.input-with-button input {
  margin-bottom: 20px;
}

pre,
blockquote,
dl,
figure,
table,
p,
ul,
ol,
form {
  margin-bottom: 2.5rem;
}

/* Utilities
–––––––––––––––––––––––––––––––––––––––––––––––––– */
.u-full-width {
  width: 100%;
  box-sizing: border-box;
}

.u-max-full-width {
  max-width: 100%;
  box-sizing: border-box;
}

.u-pull-right {
  float: right;
}

.u-pull-left {
  float: left;
}

/* Misc
–––––––––––––––––––––––––––––––––––––––––––––––––– */
hr {
  margin-top: 3rem;
  margin-bottom: 3.5rem;
  border-width: 0;
  border-top: 1px solid #e9eff4;
}

/* Clearing
–––––––––––––––––––––––––––––––––––––––––––––––––– */

/* Self Clearing Goodness */
.container:after,
.row:after,
.u-cf {
  content: "";
  display: table;
  clear: both;
}

/* Media Queries
–––––––––––––––––––––––––––––––––––––––––––––––––– */
/*
Note: The best way to structure the use of media queries is to create the queries
near the relevant code. For example, if you wanted to change the styles for buttons
on small devices, paste the mobile query code up in the buttons section and style it
there.
*/

/* Larger than mobile */
@media (min-width: 400px) {
}

/* Larger than phablet (also point when grid becomes active) */
@media (min-width: 550px) {
}

/* Larger than tablet */
@media (min-width: 750px) {
}

/* Larger than desktop */
@media (min-width: 1000px) {
}

/* Larger than Desktop HD */
@media (min-width: 1200px) {
}
.tooltip_pos {
  display: block !important;
  z-index: 10000;

  .tooltip-inner {
    background: #333333;
    color: white;
    border-radius: 3px;
    padding: 5px 10px 4px;
  }

  .tooltip-arrow {
    width: 0;
    height: 0;
    border-style: solid;
    position: absolute;
    margin: 5px;
    border-color: black;
    z-index: 1;
  }

  &[x-placement^="top"] {
    margin-bottom: 5px;

    .tooltip-arrow {
      border-width: 5px 5px 0 5px;
      border-left-color: transparent !important;
      border-right-color: transparent !important;
      border-bottom-color: transparent !important;
      bottom: -5px;
      left: calc(50% - 5px);
      margin-top: 0;
      margin-bottom: 0;
    }
  }

  &[x-placement^="bottom"] {
    margin-top: 5px;

    .tooltip-arrow {
      border-width: 0 5px 5px 5px;
      border-left-color: transparent !important;
      border-right-color: transparent !important;
      border-top-color: transparent !important;
      top: -5px;
      left: calc(50% - 5px);
      margin-top: 0;
      margin-bottom: 0;
    }
  }

  &[x-placement^="right"] {
    margin-left: 5px;

    .tooltip-arrow {
      border-width: 5px 5px 5px 0;
      border-left-color: transparent !important;
      border-top-color: transparent !important;
      border-bottom-color: transparent !important;
      left: -5px;
      top: calc(50% - 5px);
      margin-left: 0;
      margin-right: 0;
    }
  }

  &[x-placement^="left"] {
    margin-right: 5px;

    .tooltip-arrow {
      border-width: 5px 0 5px 5px;
      border-top-color: transparent !important;
      border-right-color: transparent !important;
      border-bottom-color: transparent !important;
      right: -5px;
      top: calc(50% - 5px);
      margin-left: 0;
      margin-right: 0;
    }
  }

  &[aria-hidden='true'] {
    visibility: hidden;
    opacity: 0;
    transition: opacity .15s, visibility .15s;
  }

  &[aria-hidden='false'] {
    visibility: visible;
    opacity: 1;
    transition: opacity .15s;
  }
}
@media #{$mobile} {
	@supports (-webkit-overflow-scrolling: touch) {
		#app.fixed {
			position: fixed;
			
			header.header {
				position: fixed;
				width: 100%;
				z-index: 1;
			}
			
			.side {
				position: fixed;
				top: 120px;
				height: calc(100% - 120px);
			}
		}
	}
}
@media #{$tablet} {
	@supports (-webkit-overflow-scrolling: touch) {
		#app.fixed {
			position: fixed;
			
			header.header {
				position: fixed;
				width: 100%;
				z-index: 1;
			}
			
			.side {
				position: fixed;
				top: 120px;
				height: calc(100% - 120px);
			}
		}
	}
}

